org.apache.ivy.osgi.repo

## Class AbstractOSGiResolver.RequirementStrategy

- java.lang.Object
- - org.apache.ivy.osgi.repo.AbstractOSGiResolver.RequirementStrategy

Enclosing class:
  AbstractOSGiResolver

    public static class AbstractOSGiResolver.RequirementStrategy
    extends java.lang.Object

### Field Summary

Fields
`static AbstractOSGiResolver.RequirementStrategy` `first`
`static AbstractOSGiResolver.RequirementStrategy` `noambiguity`

### Constructor Summary

Constructors
Constructor and Description
`AbstractOSGiResolver.RequirementStrategy()`

### Method Summary

Methods
`static AbstractOSGiResolver.RequirementStrategy` `valueOf(java.lang.String strategy)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### first

    public static AbstractOSGiResolver.RequirementStrategy first

#### noambiguity

    public static AbstractOSGiResolver.RequirementStrategy noambiguity

### Constructor Detail

#### AbstractOSGiResolver.RequirementStrategy

    public AbstractOSGiResolver.RequirementStrategy()

### Method Detail

#### valueOf

    public static AbstractOSGiResolver.RequirementStrategy valueOf(java.lang.String strategy)